.\"                                      Hey, EMACS: -*- nroff -*-
.\" (C) Copyright 2017 Sergio Durigan Junior <sergiodj@sergiodj.net>
.TH CHECK-MANIFEST "1" "December 28 2017"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)
.SH NAME
check-manifest \- Check a Python MANIFEST.in file for completeness

.SH SYNOPSIS
.PP
\fBcheck-manifest\fP [OPTION...] [SOURCE TREE]

.SH DESCRIPTION
\fBcheck-manifest\fP performs a check on a \fBMANIFEST.in\fP file from
a Python project and verifies its completeness.  It can also create a
\fBMANIFEST.in\fP file from scratch or append suggestions to it, and
the user can also ignore certain patterns if needed.

.SH OPTIONS
.TP
.B \-h, \-\-help
Show summary of options.

.TP
.B \-\-version
Show version of program.

.TP
.B \-v, \-\-verbose
More verbose output (default: \fBFalse\fP).

.TP
.B \-c, \-\-create
Create a \fBMANIFEST.in\fP if missing (default: \fBFalse\fP).

.TP
.B \-u, \-\-update
Append suggestions to \fBMANIFEST.in\fP (implies \fB\-\-create\fP)
(default: \fBFalse\fP).

.TP
.B \-p \fBPYTHON\fP, \-\-python \fBPYTHON\fP
Use the specified \fBPYTHON\fP interpreter when running \fBsetup.py
sdist\fP (default: \fBsys.executable\fP).

.TP
.B \-\-ignore \fBPATTERNS\fP
Ignore files/directories matching \fBPATTERNS\fP, a comma-separated
list of patterns (default: \fBNone\fP).

.TP
.B \-\-ignore\-bad\-ideas \fBPATTERNS\fP
Ignore bad idea files/directories matching \fBPATTERNS\fP, a
comma-separated list of patterns (default: \fB[]\fP).

.SH CONFIGURATION
You can tell \fBcheck-manifest\fP to ignore certain file patterns by
adding a \fBcheck-manifest\fP section to your package's
\fBsetup.cfg\fP.  Example:

.RS
[check-manifest]
.br
ignore =
    .travis.yml
.RE

The following options are recognized:

.TP
.B ignore
.br
A list of newline separated filename patterns that will be ignored by
\fBcheck-manifest\fP.  Use this if you want to keep files in your
version control system that shouldn't be included in your source
distributions.  The default ignore list is

.RS
PKG-INFO
.br
*.egg-info
.br
*.egg-info/*
.br
setup.cfg
.br
\\.hgtags
.br
\\.hgsigs
.br
\\.hgignore
.br
\\.gitignore
.br
\\.bzrignore
.br
\\.gitattributes
.br
\\.travis.yml
.br
Jenkinsfile
.br
*.mo
.RE

.TP
.B ignore-default-rules
.br
If set to \fBtrue\fP, your \fBignore\fP patterns will replace the
default ignore list instead of adding to it.

.TP
.B ignore-bad-ideas
.br
A list of newline separated filename patterns that will be ignored by
\fBcheck-manifest\fP's generated files check.  Use this if you want to
keep generated files in your version control system, even though it is
generally a bad idea.

.SH REPORTING BUGS
Please report bugs using the Debian BTS <https://bugs.debian.org>.

.SH AUTHOR
\fBcheck-manifest\fR is copyright (C) 2013 Marius Gedminas and contributors.

.PP
This manual page was written by Sergio Durigan Junior
<sergiodj@sergiodj.net> based on the project's \fBREADME.rst\fP for
the Debian GNU/Linux system, but may be used by others.

.PP
Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
